GRUB-MKSTANDALONE(1)

NUME
grub-mkstandalone - face o imagine GRUB bazată pe memdisk

SINOPSIS
grub-mkstandalone [OPȚIUNE...] [OPȚIUNE] SURSA...

DESCRIERE
Generează o imagine completă (care conține toate modulele) în formatul selectat

--appended-signature-size=DIMENSIUNEA
    Adaugă un segment de notă care rezervă DIMENSIUNEA octeți pentru o semnătură adăugată

--compress=no|xz|gz|lzo
    comprimă fișierele de GRUB [opțional]

--disable-cli
    dezactivează accesul la interfața liniei de comandă

--disable-shim-lock
    dezactivează verificarea shim_lock

--dtb=FIȘIER
    încorporează un DTB specific

-d, --directory=DIRECTOR
    utilizează imaginile și modulele din DIR [default=/usr/lib/grub/<platforma>]]

--fonts=FONTURI
    instalează FONTURI [implicit=unicode]

--install-modules=MODULE
    instalează numai MODULEle și dependențele acestora [implicit=all (toate)]

-k, --pubkey=FIȘIER
    încorporează FIȘIERUL drept cheie publică pentru verificarea semnăturii

--locale-directory=DIR utilizează traducerile din DIR
    [default=/usr/share/locale]

--locales=LOCALES
    instalează numai LOCALES [implicit=all (toate)]

--modules=MODULE
    preîncarcă modulele MODULE specificate

--sbat=FIȘIER
    metadate SBAT

--themes=TEME
    instalează TEME [implicită=starfield]

-v, --verbose
    afișează mesaje detaliate.

-x, --x509key=FIȘIER
    încorporează FIȘIERUL drept certificat x509 pentru verificarea semnăturii adăugate

--core-compress=xz|none|auto
    alege comprimarea de utilizat pentru imaginea de bază

-o, --output=FIȘIER
    salvează ieșirea în FIȘIER [cerință necesară]

-O, --format=FIȘIER
    generează o imagine în FORMAT; formate disponibile: i386-coreboot, i386-multiboot, i386-pc, i386-xen_pvh, i386-pc-pxe, i386-pc-eltorito, i386-efi, i386-ieee1275, i386-qemu, x86_64-efi, i386-xen, x86_64-xen, mipsel-yeeloong-flash, mipsel-fuloong2f-flash, mipsel-loongson-elf, powerpc-ieee1275, sparc64-ieee1275-raw, sparc64-ieee1275-cdcore, sparc64-ieee1275-aout, ia64-efi, mips-arc, mipsel-arc, mipsel-qemu_mips-elf, mips-qemu_mips-flash, mipsel-qemu_mips-flash, mips-qemu_mips-elf, arm-uboot, arm-coreboot-vexpress, arm-coreboot-veyron, arm-efi, arm64-efi, loongarch64-efi, riscv32-efi, riscv64-efi

-?, --help
    oferă această listă de ajutor

--usage
    oferă un mesaj de utilizare scurt

-V, --version
    afișează versiunea programului

Argumentele obligatorii sau opționale pentru opțiunile lungi sunt obligatorii sau opționale și pentru opțiunile corespunzătoare scurte.

Este acceptată sintaxa punctului de grefă (de exemplu, /boot/grub/grub.cfg=./grub.cfg).

RAPORTAREA ERORILOR
Raportați erorile la <bug-grub@gnu.org>.

CONSULTAȚI ȘI
grub-mkimage(1)

Documentația completă pentru grub-mkstandalone este menținută ca un manual Texinfo. Dacă programele info și grub-mkstandalone sunt instalate corect în sistemul dvs., comanda

    info grub-mkstandalone

ar trebui să vă permită accesul la manualul complet.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.